version: '3.9'

networks:
  competence-network:
    driver: bridge

services:
  competence_postgres_db:
    env_file: .env
    image: postgres
    container_name: competence_postgres_db
    environment:
      - POSTGRES_DB=competence
      - POSTGRES_USER=${COMPETENCE_DB_ADMIN}
      - POSTGRES_PASSWORD=${COMPETENCE_DB_PASSWORD}
    networks:
      - competence-network
    volumes:
      - competence_postgres_data:/var/lib/postgresql/data
  competence_api:
    env_file: .env
    image: competence_api_image
    container_name: competence_api
    command: python manage.py runserver 0.0.0.0:8000
    environment:
      - DEBUG=True
      - DB_HOST=competence_postgres_db
      - SQL_ENGINE=django.db.backends.postgresql
      - DB_NAME=competence
      - DB_USER=${COMPETENCE_DB_ADMIN}
      - DB_PASS=${COMPETENCE_DB_PASSWORD}
      - SECRET_KEY=${COMPETENCE_SECRET_KEY}
      - ALLOWED_HOSTS=localhost
    depends_on:
      - competence_postgres_db
    networks:
      - competence-network
    ports:
      - "8000:8000" # to expose Port where host system can acces the container without nginx (only used locally)    

volumes:
  competence_postgres_data:
    driver: local